Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Interface EngineConfigurationFactory

All Known Implementing Classes:
  DefaultEngineConfigurationFactory, EngineConfigurationFactoryDefault

public interface EngineConfigurationFactory

EngineConfigurationFactory is an interface used to construct concrete EngineConfiguration instances. Each EngineConfigurationFactory must also (directly) implement the following static method: //Creates and returns a new EngineConfigurationFactory. //If a factory cannot be created, return 'null'. // //The factory may return non-NULL only if: // - it knows what to do with the param (check type & process value) // - it can find it's configuration information // //@see org.apache.axis.configuration.EngineConfigurationFactoryFinder public static EngineConfigurationFactory newFactory(Object param); This is checked at runtime and a warning generated for factories found that do NOT implement this.

Author:
  Richard A. Sitze, Glyn Normington (glyn@apache.org)

Field Summary
`static java.lang.String` | `SYSTEM_PROPERTY_NAME` Property name used for setting an EngineConfiguration to be used in creating engines.

Method Summary
`EngineConfiguration` | `getClientEngineConfig()` Get a default client engine configuration.
`EngineConfiguration` | `getServerEngineConfig()` Get a default server engine configuration.

Field Detail

### SYSTEM_PROPERTY_NAME

    public static final java.lang.String SYSTEM_PROPERTY_NAME

  Property name used for setting an EngineConfiguration to be used in creating engines.

  See Also:
    Constant Field Values

Method Detail

### getClientEngineConfig

    public EngineConfiguration getClientEngineConfig()

  Get a default client engine configuration.

  Returns:
    a client EngineConfiguration

### getServerEngineConfig

    public EngineConfiguration getServerEngineConfig()

  Get a default server engine configuration.

  Returns:
    a server EngineConfiguration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.